import type { _NSColor } from "./NSColor.js";
import type { _NSControl } from "./NSControl.js";
import type { _NSDatePickerCellDelegate } from "./NSDatePickerCellDelegate.js";
import type { _NSCalendar } from "../Foundation/NSCalendar.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSLocale } from "../Foundation/NSLocale.js";
import type { _NSTimeZone } from "../Foundation/NSTimeZone.js";
import type { NSDatePickerElementFlags } from "./NSDatePickerElementFlags.js";
import type { NSDatePickerMode } from "./NSDatePickerMode.js";
import type { NSDatePickerStyle } from "./NSDatePickerStyle.js";
export declare class _NSDatePicker extends _NSControl {
    static alloc(): _NSDatePicker;
    static new(): _NSDatePicker;
    init(): _NSDatePicker;
    datePickerStyle(): NSDatePickerStyle;
    setDatePickerStyle$(value: NSDatePickerStyle): void;
    bezeled(): boolean;
    setBezeled$(value: boolean): void;
    bordered(): boolean;
    setBordered$(value: boolean): void;
    drawsBackground(): boolean;
    setDrawsBackground$(value: boolean): void;
    backgroundColor(): _NSColor;
    setBackgroundColor$(value: _NSColor): void;
    textColor(): _NSColor;
    setTextColor$(value: _NSColor): void;
    datePickerMode(): NSDatePickerMode;
    setDatePickerMode$(value: NSDatePickerMode): void;
    datePickerElements(): NSDatePickerElementFlags;
    setDatePickerElements$(value: NSDatePickerElementFlags): void;
    calendar(): _NSCalendar | null;
    setCalendar$(value: _NSCalendar | null): void;
    locale(): _NSLocale | null;
    setLocale$(value: _NSLocale | null): void;
    timeZone(): _NSTimeZone | null;
    setTimeZone$(value: _NSTimeZone | null): void;
    dateValue(): _NSDate;
    setDateValue$(value: _NSDate): void;
    timeInterval(): number;
    setTimeInterval$(value: number): void;
    minDate(): _NSDate | null;
    setMinDate$(value: _NSDate | null): void;
    maxDate(): _NSDate | null;
    setMaxDate$(value: _NSDate | null): void;
    presentsCalendarOverlay(): boolean;
    setPresentsCalendarOverlay$(value: boolean): void;
    delegate(): _NSDatePickerCellDelegate | null;
    setDelegate$(value: _NSDatePickerCellDelegate | null): void;
}
